/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */

// This file is autogenerated.


import {registerKernel} from '@tensorflow/tfjs-core/dist/base';
import '@tensorflow/tfjs-core/dist/base_side_effects';
export * from '@tensorflow/tfjs-core/dist/base';
export * from '@tensorflow/tfjs-converter';

//backend = webgl
export * from '@tensorflow/tfjs-backend-webgl/dist/base';
import {stridedSliceConfig as StridedSlice_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/StridedSlice';
registerKernel(StridedSlice_webgl);
import {lessConfig as Less_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Less';
registerKernel(Less_webgl);
import {castConfig as Cast_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Cast';
registerKernel(Cast_webgl);
import {reshapeConfig as Reshape_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Reshape';
registerKernel(Reshape_webgl);
import {gatherV2Config as GatherV2_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/GatherV2';
registerKernel(GatherV2_webgl);
import {maxConfig as Max_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Max';
registerKernel(Max_webgl);
import {addConfig as Add_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Add';
registerKernel(Add_webgl);
import {maximumConfig as Maximum_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Maximum';
registerKernel(Maximum_webgl);
import {sparseToDenseConfig as SparseToDense_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/SparseToDense';
registerKernel(SparseToDense_webgl);
import {greaterConfig as Greater_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Greater';
registerKernel(Greater_webgl);
import {sumConfig as Sum_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Sum';
registerKernel(Sum_webgl);
import {expandDimsConfig as ExpandDims_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/ExpandDims';
registerKernel(ExpandDims_webgl);
import {concatConfig as Concat_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Concat';
registerKernel(Concat_webgl);
import {logicalNotConfig as LogicalNot_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/LogicalNot';
registerKernel(LogicalNot_webgl);
import {multiplyConfig as Multiply_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Multiply';
registerKernel(Multiply_webgl);
import {scatterNdConfig as ScatterNd_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/ScatterNd';
registerKernel(ScatterNd_webgl);
import {gatherNdConfig as GatherNd_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/GatherNd';
registerKernel(GatherNd_webgl);
import {cosConfig as Cos_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Cos';
registerKernel(Cos_webgl);
import {sinConfig as Sin_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Sin';
registerKernel(Sin_webgl);
import {batchMatMulConfig as BatchMatMul_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/BatchMatMul';
registerKernel(BatchMatMul_webgl);
import {meanConfig as Mean_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Mean';
registerKernel(Mean_webgl);
import {subConfig as Sub_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Sub';
registerKernel(Sub_webgl);
import {squareConfig as Square_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Square';
registerKernel(Square_webgl);
import {rsqrtConfig as Rsqrt_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Rsqrt';
registerKernel(Rsqrt_webgl);
import {conv2DConfig as Conv2D_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Conv2D';
registerKernel(Conv2D_webgl);
import {splitVConfig as SplitV_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/SplitV';
registerKernel(SplitV_webgl);
import {packConfig as Pack_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Pack';
registerKernel(Pack_webgl);
import {transposeConfig as Transpose_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Transpose';
registerKernel(Transpose_webgl);
import {sliceConfig as Slice_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Slice';
registerKernel(Slice_webgl);
import {softmaxConfig as Softmax_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Softmax';
registerKernel(Softmax_webgl);
import {prodConfig as Prod_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Prod';
registerKernel(Prod_webgl);
import {reluConfig as Relu_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Relu';
registerKernel(Relu_webgl);
import {rangeConfig as Range_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Range';
registerKernel(Range_webgl);
import {realDivConfig as RealDiv_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/RealDiv';
registerKernel(RealDiv_webgl);
import {tanhConfig as Tanh_webgl} from '@tensorflow/tfjs-backend-webgl/dist/kernels/Tanh';
registerKernel(Tanh_webgl);